user  nginx;
worker_processes  1;
error_log  /var/log/nginx/error.log warn;
pid        /var/run/nginx.pid;
events {
  worker_connections  1024;
}
http {
  include       /etc/nginx/mime.types;
  default_type  application/octet-stream;
  log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                    '$status $body_bytes_sent "$http_referer" '
                    '"$http_user_agent" "$http_x_forwarded_for"';
  access_log  /var/log/nginx/access.log  main;
  sendfile        on;
  keepalive_timeout  65;
  server {
    listen       80;
    server_name  localhost;
    location / {
      proxy_pass http://overview:80;
      rewrite ^/overview(.*)$ $1 break;
    }
    location /blue {
      proxy_pass http://blue:80;
      rewrite ^/blue(.*)$ $1 break;
    }
    location /green {
      proxy_pass http://green:80;
      rewrite ^/green(.*)$ $1 break;
    }
    location /red {
      proxy_pass http://red:80;
      rewrite ^/red(.*)$ $1 break;
    }
    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
      root   /usr/share/nginx/html;
    }
  }
}
